/* Copyright 2008, 2016 Kevin Ryde.

   This file is part of x2gpm.

   x2gpm is free software; you can redistribute it and/or modify it under
   the terms of the GNU General Public License as published by the Free
   Software Foundation; either version 3, or (at your option) any later
   version.

   x2gpm is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
   FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
   details.

   You should have received a copy of the GNU General Public License along
   with X2gpm; see the file COPYING.  Failing that, goto
   <http://www.gnu.org/licenses/>. */

#include <stdio.h>
#include <stdlib.h>
#include <gpm.h>


Gpm_Connect conn;
Gpm_Event  e;

int
main (void)
{
  int ret;

  printf ("lib version %s\n", Gpm_GetLibVersion(NULL));

  conn.eventMask = GPM_DOWN;
  conn.defaultMask = GPM_DOWN;
  conn.minMod = 0;
  conn.maxMod = ~0;

  ret = Gpm_Open (&conn, -1);
  if (ret < 0) {
    printf ("cannot open\n");
    exit (1);
  }

  ret = Gpm_GetEvent (&e);
  if (ret == 0)
    {
      printf ("eof\n");
      exit (1);
    }
  if (ret != 1)
    {
      printf ("some error %d\n", ret);
      exit (1);
    }

  printf ("got event, type %d\n", e.type);
  return 0;
}
